tot_prot = 0.223

#reactions

vmgatp1:
    mg + atp = mgatp
    mg*atp - mgatp/k_mgatp

k_mgatp = 19.05


vmgatp2:
    mg + mgatp = mg2atp
    mg*mgatp - mg2atp/k_mg2atp

k_mg2atp = 0.05

vmgadp1:
    mg + adp = mgadp
    mg*adp - mgadp/k_mgadp

k_mgadp = 2.0

vmgadp2:
    mg + mgadp = mg2adp
    mg*mgadp - mg2adp/k_mg2adp

k_mg2adp = 0.0186

mg = 5
mgatp = 1e-15
mg2atp = 1e-15
mgadp = 1e-15
mg2adp = 1e-15


vPGI:
    g6p = f6p
    tot_prot*vf_pgi*((g6p/k_g6p_pgi)*(1-(f6p/g6p)/keq_pgi)*((g6p/k_g6p_pgi)+(f6p/k_f6p_pgi))**(1-1))/((((1+pep/k_pep_pgi)**1)/((1+a_pep_pgi*pep/k_pep_pgi)**1))+((g6p/k_g6p_pgi)+(f6p/k_f6p_pgi))**1)

vf_pgi = 3.55
keq_pgi = 0.287 
k_f6p_pgi = 0.15 
a_pep_pgi = 2.242e-05 
k_pep_pgi = 0.004914
k_g6p_pgi = 0.55 

vPFK:
    f6p + mgatp = fbp + mgadp
    ((tot_prot*4*vf_pfk*(f6p/k_f6p_pfk)*(mgatp/k_mgatp_pfk)*((1+(f6p/k_f6p_pfk)+(fbp/k_fbp_pfk))**(4-1)*(1+(mgatp/k_mgatp_pfk)+(mgadp/k_mgadp_pfk))**(4-1)))/((1+(f6p/k_f6p_pfk)+(fbp/k_fbp_pfk))**(4)*(1+(mgatp/k_mgatp_pfk)+(mgadp/k_mgadp_pfk))**(4) + L_pfk*(1+(pep/kt_pep_pfk))**4)) * (1-((fbp*mgadp)/(f6p*mgatp))/keq_pfk)

k_fbp_pfk = 1.0816
k_f6p_pfk = 0.04388
L_pfk = 252.1
keq_pfk = 800.0 
vf_pfk = 0.07382
k_mgatp_pfk = 0.0163
kt_pep_pfk = 0.003478
k_mgadp_pfk = 1.0698

vALD:
    fbp = gap + dhap
    tot_prot*vf_ald*((fbp/k_fbp_ald)*(1-((dhap*gap)/fbp)/keq_ald)*((fbp/k_fbp_ald)+(dhap/k_dhap_ald)*(gap/k_gap_ald))**(h_ald-1))/(1+(dhap/k_dhap_ald)**h_ald+(gap/k_gap_ald)**h_ald+((fbp/k_fbp_ald)+(dhap/k_dhap_ald)*(gap/k_gap_ald))**h_ald)

vf_ald = 0.076
k_fbp_ald = 0.29 
k_dhap_ald = 0.13
k_gap_ald = 0.13
h_ald = 1.0
keq_ald = 0.1

vPK:
    pep + mgadp = pyr + mgatp
    ((tot_prot*4*vf_pk*(pep/k_pep_pk)*(mgadp/k_mgadp_pk)*((1+(pep/k_pep_pk)+(pyr/k_pyr_pk))**(4-1)*(1+(mgadp/k_mgadp_pk)+(mgatp/k_mgatp_pk)+(mg/k_mg_pk)+(ppi/k_ppi_pk))**(4-1)*(1+(fbp/kr_fbp_pk))**4))/((1+(pep/k_pep_pk)+(pyr/k_pyr_pk))**(4)*(1+(mgadp/k_mgadp_pk)+(mgatp/k_mgatp_pk)+(mg/k_mg_pk)+(ppi/k_ppi_pk))**(4)*(1+(fbp/kr_fbp_pk))**4 + L_pk)) * (1-((pyr*mgatp)/(pep*mgadp))/keq_pk)

k_mgatp_pk = 0.47685
L_pk = 701250
k_pyr_pk = 5.8
k_mgadp_pk = 0.48277
keq_pk = 38900.0 
k_mg_pk = 39.1646
k_ppi_pk = 0.26351
k_pep_pk = 0.83868
vf_pk = 0.77274
kr_fbp_pk = 0.728417

vGAPDH:
    gap + nad + ppi = nadh + bpg
    tot_prot*vf_gapdh*((gap/k_gap_gapdh)*(ppi/k_ppi_gapdh)*(nad/k_nad_gapdh)*(1-((bpg*nadh)/(gap*ppi*nad))/keq_gapdh)*((gap/k_gap_gapdh)*(ppi/k_ppi_gapdh)+(bpg/k_bpg_gapdh))**(h_gapdh-1)*((nad/k_nad_gapdh)+(nadh/k_nadh_gapdh))**(h_gapdh-1))/((((gap/k_gap_gapdh)*(ppi/k_ppi_gapdh)+(bpg/k_bpg_gapdh))**h_gapdh+(gap/k_gap_gapdh)**h_gapdh+(ppi/k_ppi_gapdh)**h_gapdh+1)*(((nad/k_nad_gapdh)+(nadh/k_nadh_gapdh))**h_gapdh+1))

k_bpg_gapdh = 0.058782
vf_gapdh = 0.38955
k_ppi_gapdh = 0.0015215
h_gapdh = 1 
k_nadh_gapdh = 0.0966
k_nad_gapdh = 0.00125
keq_gapdh = 0.0004 
k_gap_gapdh = 0.95222

vTIM:
    dhap = gap
    tot_prot*vf_tim*((dhap/k_dhap_tim)*(1-(gap/dhap)/keq_tim)*((dhap/k_dhap_tim)+(gap/k_gap_tim))**(h_tim-1))/(1+((dhap/k_dhap_tim)+(gap/k_gap_tim))**h_tim)

vf_tim = 6.30698
k_gap_tim = 0.001923
keq_tim = 0.045 
h_tim = 1 
k_dhap_tim = 3.4343

vLDH:
    nadh + pyr > lac + nad
    tot_prot*vf_ldh*(pyr/k_pyr_ldh)**h_pyr_ldh*(nadh/k_nadh_ldh)**1/(1+(pyr/k_pyr_ldh)**h_pyr_ldh+(nadh/k_nadh_ldh)**1+(pyr/k_pyr_ldh)**h_pyr_ldh*(nadh/k_nadh_ldh)**1)

k_pyr_ldh = 4.29357 
vf_ldh = 2.7
h_pyr_ldh = 2.0 
k_nadh_ldh = 0.27744 

vPGK:
    bpg + mgadp = pg3 + mgatp
    tot_prot*vf_pgk*((bpg/k_bpg_pgk)*(mgadp/k_mgadp_pgk)*(1-((pg3*mgatp)/(bpg*mgadp))/keq_pgk)*((bpg/k_bpg_pgk)+(pg3/k_pg3_pgk))**(h_pgk-1)*((mgadp/k_mgadp_pgk)+(mgatp/k_mgatp_pgk))**(h_pgk-1))/(1+(((bpg/k_bpg_pgk)+(pg3/k_pg3_pgk))**h_pgk+((mgadp/k_mgadp_pgk)+(mgatp/k_mgatp_pgk))**h_pgk)+(((bpg/k_bpg_pgk)+(pg3/k_pg3_pgk))**h_pgk*((mgadp/k_mgadp_pgk)+(mgatp/k_mgatp_pgk))**h_pgk))

h_pgk = 1 
vf_pgk = 6.52776
k_pg3_pgk = 0.69854
keq_pgk = 4000 
k_bpg_pgk = 0.00395396
k_mgatp_pgk = 0.77566
k_mgadp_pgk = 0.0624035

vADK:
    mgatp + amp = mgadp + adp
    tot_prot*vf_adk*((amp/k_amp_adk)*(mgatp/k_mgatp_adk)*(1.0-((mgadp*mgadp)/(amp*mgatp))/keq_adk)*pow(((amp/k_amp_adk)+(mgadp/k_mgadp_adk)),(h_adk-1.0))*pow(((mgatp/k_mgatp_adk)+(mgadp/k_mgadp_adk)),(h_adk-1.0)))/(1.0+(pow(((amp/k_amp_adk)+(mgadp/k_mgadp_adk)),h_adk)+pow(((mgatp/k_mgatp_adk)+(mgadp/k_mgadp_adk)),h_adk))+(pow(((amp/k_amp_adk)+(mgadp/k_mgadp_adk)),h_adk)*pow(((mgatp/k_mgatp_adk)+(mgadp/k_mgadp_adk)),h_adk)))

vf_adk = 0.177
keq_adk = 1/0.508   
h_adk = 1.0
k_amp_adk = 0.038
k_mgadp_adk = 0.09
k_mgatp_adk = 0.048

vPGM:
    pg3 = pg2
    tot_prot*vf_pgm*((pg3/k_pg3_pgm)*(1-(pg2/pg3)/keq_pgm)*((pg3/k_pg3_pgm)+(pg2/k_pg2_pgm))**(h_pgm-1))/(1+((pg3/k_pg3_pgm)+(pg2/k_pg2_pgm))**h_pgm)

k_pg3_pgm = 0.44237
k_pg2_pgm = 0.097 
h_pgm = 1 
vf_pgm = 2.329
keq_pgm = 0.10204

vENO:
    pg2 = pep
    tot_prot*2*vf_eno*(pg2/k_pg2_eno)*((1+(pg2/k_pg2_eno)+(pep/k_pep_eno))**(2-1))/((1+(pg2/k_pg2_eno)+(pep/k_pep_eno))**(2) + L_eno)*(1-(pep/pg2)/keq_eno)

L_eno = 1473.87287442 
keq_eno = 3.2 
k_pep_eno = 4.19356189387 
k_pg2_eno = 0.0366561114776 
vf_eno = 0.480894529031

vNADH:
    nadh > nad
    tot_prot*vf_nadh*(nadh/(k_nadh+nadh))

k_nadh = 0.82605
vf_nadh = 0.063

# species initialisation

adp = 6.24
atp = 9.12
amp = 1e-6
lac = 1.0
ppi = 20.0

pep = 8.5707e-01
pyr = 9.1654e-02
g6p = 6.2434e+00
mg = 1.0450e+01
atp = 2.9466e-02
mgatp = 5.8657e+00
mg2atp = 3.0648e+00
adp = 2.4652e-01
mgadp = 5.1521e+00
mg2adp = 1.0014e+00
nadh = 2.1922e-01
nad = 1.3808e+00
f6p = 1.2795e+00
fbp = 7.9024e+02
gap = 1.1275e+00
dhap = 6.4877e+01
bpg = 4.8219e-03
pg3 = 8.5271e+00
pg2 = 7.5082e-01



